
import { JsonUtil } from "../../../../../extensions/oops-plugin-framework/assets/core/utils/JsonUtil";

export class TableCheckpointLevel {
    static TableName: string = "CheckpointLevel";

    private data: any;

    init(id: number) {
        var table = JsonUtil.get(TableCheckpointLevel.TableName);
        this.data = table[id];
        this.id = id;
    }

    /** 编号【KEY】 */
    id: number = 0;

    /** 初始站台数量 */
    get stationCount(): number {
        return this.data.stationCount;
    }
    /** 网格行数 */
    get gridRowCount(): number {
        return this.data.gridRowCount;
    }
    /** 网格列数 */
    get gridColCount(): number {
        return this.data.gridColCount;
    }
    /** 车辆类型(0小车,1是巴士,2是飞机,不填随机) */
    get vehicleType(): number {
        return this.data.vehicleType;
    }
    set vehicleType(v) {
        this.data.vehicleType = v;
    }
    /** 出车颜色配置(不填随机) */
    get vehicleColor(): any {
        return this.data.vehicleColor;
    }
    /** 人物坐标 */
    get peoplePosition(): any {
        return this.data.peoplePosition;
    }
    /** 人物颜色(颜色种类序号) */
    get peopleColor(): any {
        return this.data.peopleColor;
    }
    /** 颜色种类(人、车辆） */
    get levelColor(): any {
        return this.data.levelColor;
    }
    /** 障碍物坐标 */
    get obstaclePosition(): any {
        return this.data.obstaclePosition;
    }
    /** 出入口坐标 */
    get subwayPosition(): any {
        return this.data.subwayPosition;
    }
    /** 出入口人物颜色顺序(右侧颜色种类序号) */
    get subwayInfo(): any {
        return this.data.subwayInfo;
    }
    /** 出入口方向(0是左边,1是右) */
    get subwayDir(): any {
        return this.data.subwayDir;
    }
    /** 整局总人数(3的倍数,填了自动生成关卡,会忽略左边手动配置) */
    get peopleCount(): number {
        return this.data.peopleCount;
    }
}
